# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.10

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/julian/UxPlay

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/julian/UxPlay/build

# Include any dependencies generated for this target.
include CMakeFiles/AirplayServer.dir/depend.make

# Include the progress variables for this target.
include CMakeFiles/AirplayServer.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/AirplayServer.dir/flags.make

CMakeFiles/AirplayServer.dir/uxplay.cpp.o: CMakeFiles/AirplayServer.dir/flags.make
CMakeFiles/AirplayServer.dir/uxplay.cpp.o: ../uxplay.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/julian/UxPlay/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/AirplayServer.dir/uxplay.cpp.o"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/AirplayServer.dir/uxplay.cpp.o -c /home/julian/UxPlay/uxplay.cpp

CMakeFiles/AirplayServer.dir/uxplay.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/AirplayServer.dir/uxplay.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/julian/UxPlay/uxplay.cpp > CMakeFiles/AirplayServer.dir/uxplay.cpp.i

CMakeFiles/AirplayServer.dir/uxplay.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/AirplayServer.dir/uxplay.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/julian/UxPlay/uxplay.cpp -o CMakeFiles/AirplayServer.dir/uxplay.cpp.s

CMakeFiles/AirplayServer.dir/uxplay.cpp.o.requires:

.PHONY : CMakeFiles/AirplayServer.dir/uxplay.cpp.o.requires

CMakeFiles/AirplayServer.dir/uxplay.cpp.o.provides: CMakeFiles/AirplayServer.dir/uxplay.cpp.o.requires
	$(MAKE) -f CMakeFiles/AirplayServer.dir/build.make CMakeFiles/AirplayServer.dir/uxplay.cpp.o.provides.build
.PHONY : CMakeFiles/AirplayServer.dir/uxplay.cpp.o.provides

CMakeFiles/AirplayServer.dir/uxplay.cpp.o.provides.build: CMakeFiles/AirplayServer.dir/uxplay.cpp.o


# Object files for target AirplayServer
AirplayServer_OBJECTS = \
"CMakeFiles/AirplayServer.dir/uxplay.cpp.o"

# External object files for target AirplayServer
AirplayServer_EXTERNAL_OBJECTS =

AirplayServer: CMakeFiles/AirplayServer.dir/uxplay.cpp.o
AirplayServer: CMakeFiles/AirplayServer.dir/build.make
AirplayServer: renderers/librenderers.a
AirplayServer: lib/libairplay.a
AirplayServer: lib/curve25519/libcurve25519.a
AirplayServer: lib/ed25519/libed25519.a
AirplayServer: lib/playfair/libplayfair.a
AirplayServer: lib/plist/libplist.a
AirplayServer: /usr/lib/x86_64-linux-gnu/libcrypto.so
AirplayServer: CMakeFiles/AirplayServer.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/home/julian/UxPlay/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking CXX executable AirplayServer"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/AirplayServer.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/AirplayServer.dir/build: AirplayServer

.PHONY : CMakeFiles/AirplayServer.dir/build

CMakeFiles/AirplayServer.dir/requires: CMakeFiles/AirplayServer.dir/uxplay.cpp.o.requires

.PHONY : CMakeFiles/AirplayServer.dir/requires

CMakeFiles/AirplayServer.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/AirplayServer.dir/cmake_clean.cmake
.PHONY : CMakeFiles/AirplayServer.dir/clean

CMakeFiles/AirplayServer.dir/depend:
	cd /home/julian/UxPlay/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/julian/UxPlay /home/julian/UxPlay /home/julian/UxPlay/build /home/julian/UxPlay/build /home/julian/UxPlay/build/CMakeFiles/AirplayServer.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : CMakeFiles/AirplayServer.dir/depend

